Omnisend

Integrate your application with the Omnisend API

🚀 Quickstart

Connect to Omnisend with Tenklo and make a read-only request in minutes. Omnisend uses a static API key generated in your Omnisend account.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Omnisend.

Authorize Omnisend

Go to Connections -> Add Test Connection -> Authorize, then enter an Omnisend API key with only the scopes your application needs. Later, your users can do the same directly from your app.

Call the Omnisend API

Make a read-only request to list at most one campaign. This requires the campaigns.read scope on your API key. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/campaigns?limit=1" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own Omnisend API key, follow the setup guide below.

📚 Omnisend integration guides

Tenklo maintained guides for common use cases.

Official docs: Omnisend API documentation

🧩 Pre-built syncs & actions for Omnisend

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Analytics

Function nameDescriptionTypeSource code
post-analytics-reportsGenerate reportAction🔗 Github
post-analytics-statisticsGenerate statisticsAction🔗 Github

Automations

Function nameDescriptionTypeSource code
delete-automations-idDelete automation workflowAction🔗 Github
get-automations-id-blocks-block-i-d-utmGet UTM tags for an automation blockAction🔗 Github
get-automations-id-utmGet aggregated UTM tags for all blocksAction🔗 Github
get-automations-idGet automation workflowAction🔗 Github
get-automationsList automation workflowsAction🔗 Github
patch-automations-idPatch automation workflowAction🔗 Github
post-automations-id-blocks-block-i-d-test-emailSend test emailAction🔗 Github
post-automations-id-copyCopy automation workflowAction🔗 Github
post-automations-id-disableDisable automation workflowAction🔗 Github
post-automations-id-enableEnable automation workflowAction🔗 Github
post-automationsCreate automation workflowAction🔗 Github
put-automations-id-blocks-block-i-d-utmUpdate UTM tags for an automation blockAction🔗 Github
put-automations-id-blocksReplace automation workflow blocksAction🔗 Github
sync-automationSynchronizes Omnisend Automations records.Sync🔗 Github

Batches

Function nameDescriptionTypeSource code
get-batches-batch-i-d-itemsGet batch itemsAction🔗 Github
get-batches-batch-i-dGet batch informationAction🔗 Github
get-batchesGet batchesAction🔗 Github
post-batchesCreate batchAction🔗 Github

Brands

Function nameDescriptionTypeSource code
get-brands-currentGet information about brandAction🔗 Github
post-brands-currentConnect brandAction🔗 Github

Campaigns

Function nameDescriptionTypeSource code
delete-campaigns-idDelete campaignAction🔗 Github
get-campaigns-id-utmGet campaign UTM settingsAction🔗 Github
get-campaigns-idGet campaignAction🔗 Github
get-campaignsList campaigns with filtering, sorting, and cursor paginationAction🔗 Github
patch-campaigns-idUpdate campaign (draft status only)Action🔗 Github
post-campaigns-id-ab-test-resumeResume A/B testAction🔗 Github
post-campaigns-id-ab-test-stopStop A/B testAction🔗 Github
post-campaigns-id-ab-test-winnerSelect A/B test winnerAction🔗 Github
post-campaigns-id-cancelCancel campaignAction🔗 Github
post-campaigns-id-copyCopy campaignAction🔗 Github
post-campaigns-id-sendSend campaignAction🔗 Github
post-campaigns-id-test-emailSend campaign test emailAction🔗 Github
post-campaignsCreate campaignAction🔗 Github
put-campaigns-id-utmUpdate campaign UTM settingsAction🔗 Github
sync-campaignSynchronizes Omnisend Campaigns records.Sync🔗 Github

Contacts

Function nameDescriptionTypeSource code
delete-contacts-tagsBatch remove tagsAction🔗 Github
get-contacts-idGet contactAction🔗 Github
get-contactsList contactsAction🔗 Github
patch-contacts-idUpdate contact by IDAction🔗 Github
patch-contactsUpdate contact by emailAction🔗 Github
post-contacts-tagsBatch add tagsAction🔗 Github
post-contactsCreate or update existing contactAction🔗 Github
sync-contactSynchronizes Omnisend Contacts records.Sync🔗 Github

Email Templates

Function nameDescriptionTypeSource code
sync-email-templateSynchronizes Omnisend Email Templates records.Sync🔗 Github

Email Universal Layouts

Function nameDescriptionTypeSource code
sync-email-universal-layoutSynchronizes Omnisend Email Universal Layouts records.Sync🔗 Github

EmailContent

Function nameDescriptionTypeSource code
get-email-content-idGet email contentAction🔗 Github
post-email-content-id-renderRender email contentAction🔗 Github
put-email-content-idUpdate email contentAction🔗 Github

EmailTemplates

Function nameDescriptionTypeSource code
delete-email-templates-idDelete email templateAction🔗 Github
get-email-templates-idGet email templateAction🔗 Github
get-email-templatesGet email templatesAction🔗 Github
post-email-templates-id-renderRender email templateAction🔗 Github
post-email-templates-importImport email template from HTMLAction🔗 Github
post-email-templatesCreate email templateAction🔗 Github
put-email-templates-idUpdate email templateAction🔗 Github

EmailUniversalLayouts

Function nameDescriptionTypeSource code
delete-email-universal-layouts-idDelete universal layoutAction🔗 Github
get-email-universal-layouts-idGet universal layoutAction🔗 Github
get-email-universal-layoutsGet universal layoutsAction🔗 Github
post-email-universal-layoutsCreate universal layoutAction🔗 Github
put-email-universal-layouts-idUpdate universal layoutAction🔗 Github

EventMetadata

Function nameDescriptionTypeSource code
post-event-metadata-queryQuery events metadataAction🔗 Github
post-event-metadataCreate custom event metadataAction🔗 Github
put-event-metadataUpdate custom event metadataAction🔗 Github

Events

Function nameDescriptionTypeSource code
post-eventsSend Customer eventAction🔗 Github

Images

Function nameDescriptionTypeSource code
delete-images-idDelete imageAction🔗 Github
get-images-idGet imageAction🔗 Github
get-imagesList imagesAction🔗 Github
post-images-uploadUpload image fileAction🔗 Github
post-imagesUpload image by URLAction🔗 Github
sync-imageSynchronizes Omnisend Images records.Sync🔗 Github

Product Categories

Function nameDescriptionTypeSource code
sync-product-categorySynchronizes Omnisend Product Categories records.Sync🔗 Github

ProductCategories

Function nameDescriptionTypeSource code
delete-product-categories-category-i-dDelete product categoryAction🔗 Github
get-product-categories-category-i-dGet product categoryAction🔗 Github
get-product-categoriesList product categoriesAction🔗 Github
patch-product-categories-category-i-dUpdate product categoryAction🔗 Github
post-product-categoriesCreate product categoryAction🔗 Github

Products

Function nameDescriptionTypeSource code
delete-products-product-i-dDelete productAction🔗 Github
get-products-product-i-dGet productAction🔗 Github
get-productsList productsAction🔗 Github
post-productsCreate productAction🔗 Github
put-products-product-i-dReplace productAction🔗 Github
sync-productSynchronizes Omnisend Products records.Sync🔗 Github

Segments

Function nameDescriptionTypeSource code
delete-segments-segment-i-dDelete segmentAction🔗 Github
get-segments-segment-i-d-statisticsGet segment statisticsAction🔗 Github
get-segments-segment-i-dGet segmentAction🔗 Github
get-segmentsList segmentsAction🔗 Github
post-segmentsCreate segmentAction🔗 Github
put-segments-segment-i-dUpdate segmentAction🔗 Github
sync-segmentSynchronizes Omnisend Segments records.Sync🔗 Github

On this page